/*************************
 CSS Testimonial Archive
**************************/

.testimonial-archive{
    max-width:1320px;
    margin:0 auto;
    padding:60px 20px;
}

.testimonial-archive-header{
    text-align:center;
    margin-bottom:60px;
}

.testimonial-archive-header h1{
    color: var(--ast-global-color-4);
    margin-bottom: 40px;
}

.testimonial-archive .testimonial-grid{
    column-count:2;
    column-gap:30px;
}

@media (max-width:768px){
    .testimonial-archive .testimonial-grid{
        column-count:1;
    }
}

.testimonial-archive .testimonial-card{
    background: var(--ast-global-color-3);
    border-radius:20px;
    box-shadow:2px 2px 4px rgba(0,0,0,0.06);
    /* transition:transform 0.3s ease; */
    break-inside: avoid;
    margin-bottom:30px;
    display:inline-block;
    width:100%;
}

.testimonial-archive .testimonial-header{
    display:flex;
    align-items:flex-start;
    gap:15px;
    margin-bottom:0px;
    position:relative;
    padding:30px;
    border-radius:12px 12px 0 0;
    background-size:cover;
    background-position:center;
    overflow:hidden;
    height: 120px;
}
.testimonial-archive .testimonial-header::before{
    content:"";
    position:absolute;
    inset:0;
    background: linear-gradient(
    90deg,
    rgba(41, 27, 22, 0.8) 0%,
    rgba(41, 27, 22, 0) 100%
);
}

.testimonial-archive .testimonial-header > *{
    position:relative;
    z-index:2;
    background-size:cover;
    background-position:center;
}

.testimonial-archive .testimonial-header img{
    width:60px;
    height:60px;
    border-radius:50%;
    object-fit:cover;
    flex-shrink:0;
}

.testimonial-archive .testimonial-meta{
    display:flex;
    flex-direction:column;
    color: #fff;
}

.testimonial-archive .testimonial-meta strong{
    line-height:1.2;
    font-family: 'Simonetta', serif;
    font-weight: 400;
    font-size: 22px;
}

.testimonial-archive .testimonial-meta span{
    font-size:16px;
    margin-top:3px;
}

.testimonial-archive .testimonial-rating{
    color: var(--ast-global-color-2);
    margin-bottom:15px;
    font-size:18px;
}

.testimonial-archive .testimonial-text{
    line-height:1.6;
    color: var(--ast-global-color-1);
    background-color: var(--ast-global-color-3);
    padding: 30px;
    border-radius: 0px 0px 20px 20px;
}

.testimonial-archive .testimonial-archive-footer {
    text-align: center;
    padding-top: 20px;
}

a.btn-formations{
    display:inline-block;
    padding:12px 24px;
    background:var(--ast-global-color-1);
    color:#fff;
    font-weight: 600;
    text-decoration:none;
    border-radius:50px;
    transition:0.3s ease;
}

.btn-formations:hover{
    background:var(--ast-global-color-4);
    color:#fff;
}

.esdev-testimonial-pagination{
    margin-top:60px;
    margin-bottom: 40px;
    text-align:center;
}
.esdev-testimonial-pagination .page-numbers{
    padding: 10px;
    border-radius: 10px;
    background-color: var(--ast-global-color-4);
    opacity: 0.7;
    font-weight: 500;
    color: #fff;
}
.esdev-testimonial-pagination .page-numbers:hover,
.esdev-testimonial-pagination .page-numbers.current{
    padding: 10px;
    border-radius: 10px;
    background-color: var(--ast-global-color-4);
    opacity: 1;
}

/* ************************
* Statistics Display *
***************************/

.esdev-stats-wrapper-btn {
    display: flex;
    justify-content: center;
}
.esdev-stats-toggle{
    margin: 20px;
    display: flex;
    align-items: center;
    gap: 12px;
    cursor: pointer;
    transition: all 0.5s ease;
    border: 2px solid var(--ast-global-color-4);
    background-color: var(--ast-global-color-2);
    color: var(--ast-global-color-4);
}
.esdev-stats-toggle:hover {
    background-color: var(--ast-global-color-4);
    color: var(--ast-global-color-2);
}

/* wrapper icône */
.esdev-stats-icon {
    display: flex;
    align-items: center;
    justify-content: center;
}

/* icône */
.esdev-stats-icon svg {
    width: 20px;
    height: 20px;
    display: block;
    fill: currentColor;
    transition: transform 0.5s ease;
}

/* rotation quand ouvert */
.esdev-stats-toggle.is-open .esdev-stats-icon svg {
    transform: rotate(180deg);
}

.esdev-stats-wrapper {
    max-height: 1000px;
    overflow: hidden;
    opacity: 1;
    transition: all 0.5s ease;
}
.esdev-stats-wrapper.is-hidden {
    max-height: 0;
    opacity: 0;
}

/* Desktop normal */
.esdev-stats-table {
    width: 100%;
    border-collapse: collapse;
}

/* MOBILE */
@media (max-width: 768px) {

    .esdev-stats-table thead {
        display: none;
    }

    .esdev-stats-table,
    .esdev-stats-table tbody,
    .esdev-stats-table tr,
    .esdev-stats-table td {
        display: block;
        width: 100%;
        border: none;
    }

    .esdev-stats-table tr {
        margin-bottom: 16px;
        padding: 12px;
        border: 1px solid #eee;
        border-radius: 8px;
    }

    .esdev-stats-table td {
        display: flex;
        justify-content: space-between;
        padding: 6px 0;
    }

    .esdev-stats-table td::before {
        content: attr(data-label);
        font-weight: 600;
    }
    .esdev-stats-table tr {
    transition: transform 0.2s ease;
}

    .esdev-stats-table tr:hover {
        transform: translateY(-2px);
    }
}
